#
# spec file for package pam (Version 0.75)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel sgmltool sp sp-devel te_latex tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         pam
Copyright:    GPL or BSD
Group:        System Environment/Libraries
Requires:     cracklib
Autoreqprov:  on
Version:      0.75
Release:      166
Summary:      A security tool which provides authentication for applications
Source: Linux-PAM-%{version}.tar.bz2
Source1: securetty
Source2: other.pamd
Source4: pam_unix2.tar.bz2
Source5: pam_pwcheck.tar.bz2
Source6: pam_homecheck.tar.bz2
Source7: SuSEconfig.pam
Source9: pam_chroot.tar.bz2
Source10: pam_localuser.tar.bz2
Source11: pam_xauth.tar.bz2
Patch:   Linux-PAM-%{version}.dif
Patch1:  md5-doc.diff
Buildroot: /tmp/pam-root

%description
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

Authors:
--------
    Andrew G. Morgan <morgan@linux.kernel.org>
    Alexei Nogin <alexei@nogin.dnttm.ru>
    Cristian Gafton <gafton@redhat.com>
    Dave Kinchlea <kinch@kinch.ark.com>
    Elliot Lee <sopwith@redhat.com>
    Erik Troan <ewt@redhat.com>
    Michael K. Johnson <johnsonm@redhat.com>
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: a

%package devel
Summary:      Development libraries/header files for PAM
Group: Development/Libraries
Autoreqprov:  on

%description devel
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

This package contains header files and static libraries used for
building both PAM-aware applications and modules for use with PAM.

Authors:
--------
    Andrew G. Morgan <morgan@linux.kernel.org>
    Alexei Nogin <alexei@nogin.dnttm.ru>
    Cristian Gafton <gafton@redhat.com>
    Dave Kinchlea <kinch@kinch.ark.com>
    Elliot Lee <sopwith@redhat.com>
    Erik Troan <ewt@redhat.com>
    Michael K. Johnson <johnsonm@redhat.com>
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: d

%prep
%setup -n Linux-PAM-%{version}
%patch
%patch1
#
# Install SuSE pam_unix and other extra PAM Modules:
#
cd modules
tar xIf $RPM_SOURCE_DIR/pam_chroot.tar.bz2
tar xIf $RPM_SOURCE_DIR/pam_localuser.tar.bz2
tar xIf $RPM_SOURCE_DIR/pam_xauth.tar.bz2
#
# pam_homecheck
#
tar xIf $RPM_SOURCE_DIR/pam_homecheck.tar.bz2
cd pam_homecheck
sed -e "s|pam_unix2|pam_unix|g" < pam_homecheck.sgml > pam_homecheck.sgml.tmp
mv -f pam_homecheck.sgml.tmp pam_homecheck.sgml
cp pam_homecheck.sgml ../../doc/modules
cd ..
#
# pam_pwcheck
#
tar xIf $RPM_SOURCE_DIR/pam_pwcheck.tar.bz2
cd pam_pwcheck
sed -e "s|pam_unix2|pam_unix|g" < pam_pwcheck.sgml > pam_pwcheck.sgml.tmp
mv -f pam_pwcheck.sgml.tmp pam_pwcheck.sgml
cp pam_pwcheck.sgml ../../doc/modules
cd ..
#
# pam_unix2
#
tar xIf $RPM_SOURCE_DIR/pam_unix2.tar.bz2
cd pam_unix2
sed -e "s|pam_unix2|pam_unix|g" < Makefile > Makefile.tmp
sed -e 's|$(SECUREDIR)/pam_unix.so|$(SECUREDIR)/pam_unix2.so|' < Makefile.tmp > Makefile
rm Makefile.tmp
sed -e "s|pam_unix2|pam_unix|g" < pam_unix2.sgml > pam_unix.sgml
cp pam_unix.sgml ../../doc/modules
cd ..
#
# Remove the pwdb modules
#
rm -rf pam_radius pam_pwdb
cd ../..

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
./configure \
        --prefix=/ \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
        --libdir=/%{_lib} \
        --enable-securedir=/%{_lib}/security \
        --enable-static-libpam \
        --enable-fakeroot=$RPM_BUILD_ROOT
make
make -C doc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
make install
# Make sure every module built.
for dir in modules/pam_* ; do
if [ -d ${dir} ] ; then
        if ! ls -1 $RPM_BUILD_ROOT/%{_lib}/security/`basename ${dir}`*.so ; then
                echo ERROR `basename ${dir}` module did not build.
                exit 1
        fi
fi
done
# forcibly strip the helpers
strip $RPM_BUILD_ROOT/sbin/* ||:
# Install documentation
make -C doc install FAKEROOT=$RPM_BUILD_ROOT
gzip -9f $RPM_BUILD_ROOT%{_defaultdocdir}/pam/ps/*.ps
# install securetty
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc
# install other.pamd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/other
rm $RPM_BUILD_ROOT/%{_lib}/libpam.so
ln -sf ../../%{_lib}/libpam.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpam.so
ln -sf libpam.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpam.so.0
rm $RPM_BUILD_ROOT/%{_lib}/libpamc.so
ln -sf ../../%{_lib}/libpamc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpamc.so
ln -sf libpamc.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpamc.so.0
rm $RPM_BUILD_ROOT/%{_lib}/libpam_misc.so
ln -sf ../../%{_lib}/libpam_misc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpam_misc.so
ln -sf libpam_misc.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpam_misc.so.0
mv -f $RPM_BUILD_ROOT/%{_lib}/libpam*.a $RPM_BUILD_ROOT%{_libdir}
#
# Install READMEs of PAM modules
#
DOC=$RPM_BUILD_ROOT%{_defaultdocdir}/pam
mkdir -p $DOC/modules
(
  cd modules;
  for i in pam_*/README ; do
    cp -fpv ${i} $DOC/modules/README.`dirname ${i}`
  done
)
#
# Install misc docu and md5.config
#
install -m 644 CHANGELOG Copyright README doc/README.md5 $DOC
cp -a doc/md5.config $DOC
#
# Install SuSEconfig
#
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.pam $RPM_BUILD_ROOT/sbin/conf.d

%clean
find $RPM_BUILD_ROOT | sed  's|/tmp/pam-root/|/|g' |grep -v "/tmp/pam-root" |sort > /newfiles
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/pam
%dir /etc/pam.d
%dir /etc/security
%config /etc/pam.d/other
%config /etc/securetty
%config(noreplace) /etc/security/access.conf
%config(noreplace) /etc/security/chroot.conf
%config(noreplace) /etc/security/group.conf
%config(noreplace) /etc/security/limits.conf
%config(noreplace) /etc/security/pam_env.conf
%config(noreplace) /etc/security/time.conf
%doc %{_mandir}/man3
%doc %{_mandir}/man8/pam*
/%{_lib}/libpam.so.0
/%{_lib}/libpam.so.0.75
/%{_lib}/libpamc.so.0
/%{_lib}/libpamc.so.0.75
/%{_lib}/libpam_misc.so.0
/%{_lib}/libpam_misc.so.0.75
%dir /%{_lib}/security
/%{_lib}/security/pam_*.so
/sbin/conf.d/SuSEconfig.pam
%dir /sbin/pam_filter
/sbin/pam_filter/upperLOWER
%attr (2755,root,shadow)/sbin/unix_chkpwd

%files devel
/usr/include/security/*.h
%{_libdir}/libpam.a
%{_libdir}/libpam.so
%{_libdir}/libpamc.a
%{_libdir}/libpamc.so
%{_libdir}/libpam_misc.a
%{_libdir}/libpam_misc.so

%changelog -n pam
* Wed Feb 27 2002 - kukuk@suse.de
- Fix broken diff
* Mon Feb 11 2002 - kukuk@suse.de
- Fix problems with unresolved symbols of pam_access.so and
  pam_userdb.so
* Fri Aug 24 2001 - kukuk@suse.de
- Move susehelp config file to susehelp package
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - kukuk@suse.de
- Fixes wrong symlink handling of pam_homecheck [Bug #3905]
* Wed Jul 11 2001 - kukuk@suse.de
- Sync pam_homecheck and pam_unix2 fixes from 7.2
- Always ask for the old password if it is expired
* Sat May 05 2001 - kukuk@suse.de
- Cleanup Patches, make tar archive from extra pam modules
* Fri May 04 2001 - kukuk@suse.de
- Use LOG_NOTICE for trace option [Bug #7673]
* Thu Apr 12 2001 - kukuk@suse.de
- Linux-PAM: link pam_access against libnsl
- Add pam.conf for susehelp/pam html docu
* Tue Apr 10 2001 - kukuk@suse.de
- Linux-PAM: Update to version 0.75
* Tue Apr 03 2001 - kukuk@suse.de
- Linux-PAM: link libpam_misc against libpam [Bug #6890]
* Thu Mar 08 2001 - kukuk@suse.de
- Linux-PAM: Fix manual pages (.so reference)
- pam_pwcheck: fix Makefile
* Tue Mar 06 2001 - kukuk@suse.de
- Update for Linux-PAM 0.74
- Drop pwdb subpackage
* Tue Feb 13 2001 - kukuk@suse.de
- pam_unix2: Create temp files with permission 0600
* Tue Feb 06 2001 - ro@suse.de
- pam_issue.c: include time.h to make it compile
* Fri Jan 05 2001 - kukuk@suse.de
- Don't print error message about failed initialization from
  pam_limits with kernel 2.2 [Bug #5198]
* Thu Jan 04 2001 - kukuk@suse.de
- Adjust docu for pam_limits
* Sun Dec 17 2000 - kukuk@suse.de
- Adjust docu for pam_pwcheck
* Thu Dec 07 2000 - kukuk@suse.de
- Add fix for pam_limits from 0.73
* Thu Oct 26 2000 - kukuk@suse.de
- Add db-devel to need for build
* Fri Oct 20 2000 - kukuk@suse.de
- Don't link PAM modules against old libpam library
* Wed Oct 18 2000 - kukuk@suse.de
- Create new "devel" subpackage
* Thu Oct 12 2000 - kukuk@suse.de
- Add SuSEconfig.pam
* Tue Oct 03 2000 - kukuk@suse.de
- Fix problems with new gcc and glibc 2.2 header files
* Wed Sep 13 2000 - kukuk@suse.de
- Fix problem with passwords longer then PASS_MAX_LEN
* Wed Sep 06 2000 - kukuk@suse.de
- Add missing PAM modules to filelist
- Fix seg.fault in pam_pwcheck [BUG #3894]
- Clean spec file
* Fri Jun 23 2000 - kukuk@suse.de
- Lot of bug fixes in pam_unix2 and pam_pwcheck
- compress postscript docu
* Mon May 15 2000 - kukuk@suse.de
- Move docu to /usr/share/doc/pam
- Fix some bugs in pam_unix2 and pam_pwcheck
* Tue Apr 25 2000 - kukuk@suse.de
- Add pam_homecheck Module
* Tue Apr 25 2000 - kukuk@suse.de
- Add devfs devices to /etc/securetty
* Wed Mar 01 2000 - kukuk@suse.de
- Fix handling of changing passwords to empty one
* Tue Feb 22 2000 - kukuk@suse.de
- Set correct attr for unix_chkpwd and pwdb_chkpwd
* Tue Feb 15 2000 - kukuk@suse.de
- Update pam_pwcheck
- Update pam_unix2
* Mon Feb 07 2000 - kukuk@suse.de
- pwdb: Update to 0.61
* Thu Jan 27 2000 - kukuk@suse.de
- Add config files and README for md5 passwords
- Update pam_pwcheck
- Update pam_unix2
* Thu Jan 13 2000 - kukuk@suse.de
- Update pam_unix2
- New: pam_pwcheck
- Update to Linux-PAM 0.72
* Wed Oct 13 1999 - kukuk@suse.de
- pam_pwdb: Add security fixes from RedHat
* Mon Oct 11 1999 - kukuk@suse.de
- Update to Linux-PAM 0.70
- Update to pwdb-0.60
- Fix more pam_unix2 shadow bugs
* Fri Oct 08 1999 - kukuk@suse.de
- Add more PAM fixes
- Implement Password changing request (sp_lstchg == 0)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Sep 11 1999 - kukuk@suse.de
- Add pam_wheel to file list
- pam_wheel: Minor fixes
- pam_unix2: root is allowed to change passwords with wrong
  password aging information
* Mon Aug 30 1999 - kukuk@suse.de
- pam_unix2: Fix typo
* Thu Aug 19 1999 - kukuk@suse.de
- Linux-PAM: Update to version 0.69
* Fri Jul 16 1999 - kukuk@suse.de
- pam_unix2: Root is allowed to use the old password again.
* Tue Jul 13 1999 - kukuk@suse.de
- pam_unix2: Allow root to set an empty password.
* Sat Jul 10 1999 - kukuk@suse.de
- Add HP-UX password aging to pam_unix2.
* Wed Jul 07 1999 - kukuk@suse.de
- Don't install .cvsignore files
- Make sure, /etc/shadow has the correct rights
* Tue Jul 06 1999 - kukuk@suse.de
- Update to Linux-PAM 0.68
* Wed Jun 30 1999 - kukuk@suse.de
- pam_unix2: more bug fixes
* Tue Jun 29 1999 - kukuk@suse.de
- pam_unix2: Fix "inactive" password
* Mon Jun 28 1999 - kukuk@suse.de
- pam_warn: Add missing functions
- other.pamd: Update
- Add more doku
* Thu Jun 24 1999 - kukuk@suse.de
- Add securetty config file
- Fix Debian pam_env patch
* Mon Jun 21 1999 - kukuk@suse.de
- Update to Linux-PAM 0.67
- Add Debian pam_env patch
* Thu Jun 17 1999 - kukuk@suse.de
- pam_ftp malloc (core dump) fix
* Tue Jun 15 1999 - kukuk@suse.de
- pam_unix2 fixes
* Mon Jun 07 1999 - kukuk@suse.de
- First PAM package: pam 0.66, pwdb 0.57 and pam_unix2
